events.listen('item.tags', e => {
	
	e.remove('forge:plastic', 'rats:raw_plastic');
		
	e.add('forge:chests', 'iceandfire:ghost_chest');
	e.add('forge:chests/wooden', 'iceandfire:ghost_chest');
	
	e.add('forge:chocolatebar', 'create:bar_of_chocolate');
	
	e.add('forge:bones/wither', 'bhc:wither_bone');
	e.add('forge:bones/wither', 'tconstruct:necrotic_bone');
	
	e.add('forge:dusts/obsidian', 'create:powdered_obsidian');
	
	e.add('forge:stone', 'extcaves:oldstone');
	
	e.remove('forge:stone', 'quark:myalite');
	e.remove('forge:stone', 'quark:polished_myalite');
	
	e.add('forge:workbench', '/mctb:.+/');
	
	e.add('bagofyurting:blacklist', 'globalxp:xp_block');
	
	e.add('forge:crops/lemon', 'tropicraft:lemon');
	e.add('forge:fruits/lemon', 'tropicraft:lemon');
	e.add('forge:crops/grapefruit', 'tropicraft:grapefruit');
	e.add('forge:fruits/grapefruit', 'tropicraft:grapefruit');
	e.add('forge:crops/lime', 'tropicraft:lime');
	e.add('forge:fruits/lime', 'tropicraft:lime');
	e.add('forge:crops/orange', 'tropicraft:orange');
	e.add('forge:fruits/orange', 'tropicraft:orange');
})

events.listen('block.tags', e => {
	
	e.add('minecraft:beacon_base_blocks', 'kubejs:reanimated_rainbow_block');
	e.add('minecraft:beacon_base_blocks', 'kubejs:uninspiring_rainbow_block');
	e.add('minecraft:beacon_base_blocks', 'farlanders:endumium_block');
	
	e.add('minecraft:beacon_base_blocks', 'mysticalworld:lead_block');
	e.add('minecraft:beacon_base_blocks', 'mysticalworld:quicksilver_block');
	e.add('minecraft:beacon_base_blocks', 'mysticalworld:silver_block');
	e.add('minecraft:beacon_base_blocks', 'mysticalworld:pearl_block');
	e.add('minecraft:beacon_base_blocks', 'mysticalworld:amethyst_block');
	
	e.add('minecraft:beacon_base_blocks', 'rats:oratchalcum_block');
	e.add('minecraft:beacon_base_blocks', 'druidcraft:amber_block');
	e.add('minecraft:beacon_base_blocks', 'druidcraft:moonstone_block');
	e.add('minecraft:beacon_base_blocks', 'druidcraft:rockroot_block');
	
	e.add('forge:chests', 'iceandfire:ghost_chest');
	e.add('forge:chests/wooden', 'iceandfire:ghost_chest');
	
	e.add('forge:stone', 'extcaves:oldstone');
	
	e.remove('forge:stone', 'quark:myalite');
	e.remove('forge:stone', 'quark:polished_myalite');
	
	e.add('forge:workbench', '/mctb:.+/');
	
	e.add('bagofyurting:blacklist', 'globalxp:xp_block');
	
})